module FastshopCatalog
  class CatalogService < FastshopCatalog::BaseService

    def initialize
      @service = :catalogo
      @interface = 'ICatalogo'
      @soap_method = :busca_catalogo
      @return_key = 'Lista'
      super
    end

    def search(contract_code)
      service_invoker('contrato' => contract_code)
    end

  end
end
