module FastshopCatalog
  module Entity
    class Participant < BaseEntity
      translate :contract_code => 'Contrato', 
      :name => 'Nome', :document => 'Cpf', :registry => 'RG',
      :birth_date => 'DataNascimento', :gender => 'Sexo', 
      :category => 'Categoria',
      :home_phone_prefix => 'DddResidencial', :home_phone => 'TelefoneResidencial',
      :work_phone_prefix => 'DddComercial', :work_phone => 'TelefoneComercial',
      :mobile_phone_prefix => 'DddCelular', :mobile_phone => 'Celular',
      :email => 'Email', :status => 'Status', :operation_type => 'TipoOperacao',
      :address => 'Endereco', :business_unity => 'UnidadeNegocio'
    end
  end
end