module FastshopCatalog
  class OrderStatusService < FastshopCatalog::BaseService

    def initialize
      @service = :consulta_status
      @interface = 'IConsultaStatusPedido'
      @soap_method = :retorna_dados
      @return_key = 'Lista'
      super
    end

    def check(contract_code, order_number, partner_order_number)
      service_invoker('numeroPedidoFast' => order_number, 'numeroPedidoParceiro' => partner_order_number,
      'contrato' => contract_code)
    end

  end
end
