module FastshopCatalog
  class ParticipantService < FastshopCatalog::BaseService

    def initialize
      @service = :participante
      @interface = 'IParticipante'
      @soap_method = :cadastrar_participante
      @return_key = 'Token'
      super
    end

    def insert(participant)
      payload = participant.to_json.to_s
      AUX_LOG.debug('Participant as json: ' + payload)
      service_invoker_with_encryption('entrada', 'contrato' => participant.contract_code,
      'entrada' => payload)
    end

  end
end
