module FastshopCatalog
  class ProductService < FastshopCatalog::BaseService

    def initialize
      @service = :consulta_produto
      @interface = 'IConsultaProduto'
      @soap_method = :busca_produto
      @return_key = 'ProdutoDados'
      super
    end

    def search(contract_code, sku)
      service_invoker('contrato' => contract_code, 'sku' => sku)
    end

  end
end
