module FastshopCatalog
  class ExternalDneService < FastshopCatalog::BaseService

    def initialize
      @service = :consulta_dne_externo
      @interface = 'IConsultaDneExterno'
      @soap_method = :consultar
      @return_key = 'Dne'
      super
    end

    def query(contract_code, zip_code)
      service_invoker('cep' => zip_code, 'contrato' => contract_code)
    end

  end
end
